# EraseWaitlistSignups

> Permanently erase signups and their personal data (a data-subject request). Irreversible. Write access, waitlists toolset, MCP tool erase_waitlist_signups.

> **Warning:**
> Irreversible. This operation removes or replaces something. MCP clients see it with `destructiveHint` set, and an agent should tell you what it will change and wait for your yes.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `EraseWaitlistSignupsInput!` | yes | Input object, below |  |

## Input types

### EraseWaitlistSignupsInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `emails` | `[String!]` | no | at most 1000 items | Matched case-insensitively, and also against each address's canonical twin. |
| `signupIds` | `[UUID!]` | no | at most 1000 items |  |
| `waitlistId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"EraseWaitlistSignups","variables":{"input":{"waitlistId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"e9f31648d5a67bca13023a25be85a91b914ce36a0d4f5b7595226aa4ec9bb970"}}}'
```

## Document

```graphql
mutation EraseWaitlistSignups($input: EraseWaitlistSignupsInput!) { __typename eraseWaitlistSignups(input: $input) { __typename erased remaining userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/erase-waitlist-signups
